angular.module('starter').controller('LoginCtrl', function ($scope, $ionicPopup, $ionicLoading, $state, $window, LoginService) {
  var alertPopup = null;
  $scope.data = { usuario: null, senha: null }
  console.log($window);
  if (typeof ($window.localStorage) != 'undefined') {
    $scope.data.usuario = $window.localStorage['usuario'];
    $scope.data.senha = $window.localStorage['senha'];
  }

  $scope.login = function () {
    if ($scope.data.usuario && $scope.data.senha) {
      $ionicLoading.show();
      LoginService.login($scope.data)
        .then(function (retorno) {
          if (retorno != null && retorno.data) {
            if (retorno.data[0].acao == "OK") {
              LoginService.setCurrentUser(retorno.data[0]);
              LoginService.setAutenticado(true);
              
              $window.localStorage['usuario'] = $scope.data.usuario;
              $window.localStorage['senha'] = $scope.data.senha;
              $state.go('app.inicio', {}, { reload: true });
            } else {
              alertPopup = $ionicPopup.alert({
                title: 'Erro',
                template: 'Usuário e/ou senha Inválida!'
              });
            }
            $ionicLoading.hide();
          } else {
            $ionicLoading.hide();
            alertPopup = $ionicPopup.alert({
              title: 'Erro',
              template: 'Erro ao realizar login!'
            });
          }
        }, function errorCallback(erro) {
          $ionicLoading.hide();
          alertPopup = $ionicPopup.alert({
            title: 'Erro',
            template: 'Erro ao realizar login!'
          });
        })
    } else {
      alertPopup = $ionicPopup.alert({
        title: 'Validação',
        template: 'Favor informe cpf e/ou cnpj!'
      });
    }
  }


});
